Integrate API
Home
Company
Company
  • Company
  • Users
  • Office
Orders
Orders
  • Orders
  • Change Request
  • Drafts
  • GoToScan
Webhooks
Home
Company
Company
  • Company
  • Users
  • Office
Orders
Orders
  • Orders
  • Change Request
  • Drafts
  • GoToScan
Webhooks
  1. Change Request
  • Add new change request for an order
    POST
  • List all change requests of order
    GET
  • Get change request by ID
    GET
  1. Change Request

Add new change request for an order

Prod Env
https://app.cubi.casa/api/integrate/v3
Prod Env
https://app.cubi.casa/api/integrate/v3
POST
/orders/{order_id}/change-requests
Submit a Change Request so the production team can revisit and adjust your floor plan model.

Request

Authorization
or
API Key
Add parameter in header
api-key
Example:
api-key: ********************
or
Path Params

Body Params application/jsonRequired

Examples

Responses

🟢200OK
application/json
Successful response
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://app.cubi.casa/api/integrate/v3/orders//change-requests' \
--header 'Content-Type: application/json' \
--data-raw '{
    "products": [
        "products_2d"
    ],
    "text": "string",
    "img_urls": [
        "string"
    ]
}'
Response Response Example
{
    "id": "f022e068-77f9-489b-9b63-d2ed1599e18e",
    "message": "change request sent successfully!"
}
Modified at 2025-08-11 11:34:35
Next
List all change requests of order
Built with